<?php
/**
 * Copyright © magebig.com - All rights reserved.
 * See LICENSE.txt for license details.
 */
?>
<?php
$cfHelper = $this->helper('MageBig\WidgetPlus\Helper\Config');
$static   = $block->getStatic();
$id       = $block->getWidgetId();
$slider   = $block->getData('slider');
$title    = $block->escapeHtml($block->getData('widget_title'), 'h2|h3|h4|h5|div|span|i|br|a');

?>
<?php if ($static) : ?>
<div class="widgetplus widgetplus-block slider-<?= $slider ?> <?= $block->getConfig('classes') ?>"
     id="<?= $id ?>">
    <div class="block-static <?= $slider != 0 ? 'clearfix' : '' ?>">
        <?php if ($title): ?>
            <div class="main-heading">
                <h2 class="heading-title"><span><?= __($title) ?></span></h2>
            </div>
        <?php endif ?>
        <div class="<?= $slider != 0 ? 'owl-carousel owl-theme block-wrap' : 'block-wrap' ?>">

        </div>
    </div>

    <?php
    $autoplay        = is_numeric($block->getData('autoplay')) ? 'true' : 'false';
    $autoplayTimeout = is_numeric($block->getData('autoplay')) ? (int)$block->getData('autoplay') : 5000;
    $items           = $slider == 1 ? (is_numeric($block->getData('column')) ? (int)$block->getData('column') : 4) : 1;
    $margin          = $slider == 1 ? (is_numeric($block->getData('margin')) ? (int)$block->getData('margin') : 30) : 0;
    $nav             = (bool)$block->getData('navigation') ? 'true' : 'false';
    $dots            = (bool)$block->getData('paging') ? 'true' : 'false';
    $responsive      = $slider == 1 ? $cfHelper->getCfRes($this->getData('x0'), $this->getData('x576'), $this->getData('x768'), $this->getData('x992'), $this->getData('x1200')) : '{}';
    ?>
    <script type="text/x-magento-init">
        {
            "#<?= $id ?>": {
                "MageBig_WidgetPlus/js/instagram-feed": {
                    "data": <?= $static ?>,
                    "owl": {
                        "enable"            : <?= $slider ?>,
                        "autoplay"          : <?= $autoplay ?>,
                        "autoplayTimeout"   : <?= $autoplayTimeout ?>,
                        "items"             : <?= $items ?>,
                        "margin"            : <?= $margin ?>,
                        "nav"               : <?= $nav ?>,
                        "dots"              : <?= $dots ?>,
                        "responsive"        : <?= $responsive ?>
                    }
                }
            }
        }
    </script>
</div>
<?php endif; ?>
